<?php

/* ============================ */
/* ::::::::::: Blog ::::::::::: */
/* ============================ */

$section  = 'blog';
$priority = 0;

// Hide/Show sidebar
new \Kirki\Field\Checkbox_Switch(
	[
		'settings'    => 'blog_sidebar',
		'label'       => esc_html__( 'Hide/Show sidebar in single page', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => 'on',
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'woodsman' ),
			'off' => esc_html__( 'Disable', 'woodsman' ),
		],
	]
);

// Button color
new \Kirki\Field\Color(
	[
		'settings'    => 'blog_button_color',
		'label'       => esc_html__( 'Button color', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'   => '#2CC9B4',
		'choices'     => [
			'alpha' => true,
		],
		'output'    => array(
			array(
				'element'  => '.page-links a, .page-links > span, .post-button a, .pagination a, .pagination span, .post-navigation .prev-button a, .post-navigation .next-button a, #comments .comment .reply a, #comments .comment .reply a:hover, #comments input[type="submit"], .load-more a, .post-password-form input[type="submit"], .mt-widget .tagcloud a, footer .tagcloud a',
				'property' => 'border-color',
				'suffix'   => ' !important',
			),
			array(
				'element'  => '.post-page-numbers.current, .page-links a:hover, .post-button a, .pagination span.current, .pagination a:hover, .post-navigation .prev-button a, .post-navigation .next-button a, #comments .comment .reply a, #comments input[type="submit"], .load-more a, .format-gallery .flex-direction-nav a, .format-gallery .flex-direction-nav a:hover, .post-password-form input[type="submit"], .mt-widget .tagcloud a, footer .tagcloud a',
				'property' => 'background-color',
				'suffix'   => ' !important',
			),
			array(
				'element'  => '.post-button a:hover, .post-navigation .prev-button a:hover, .post-navigation .next-button a:hover, #comments .comment .reply a:hover, #comments input[type="submit"]:hover, .load-more a:hover, .load-more a.disabled, .load-more a.loaded, .load-more a.loaded .fa-spin, .post-password-form input[type="submit"]:hover, .mt-widget .tagcloud a:hover, footer .tagcloud a:hover',
				'property' => 'color',
				'suffix'   => ' !important',
			),
		),
	]
);

// Position button post
new \Kirki\Field\Typography(
	[
		'settings'    => 'position_button_post',
		'label'       => esc_html__( 'Button Position', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'transport'   => 'auto',
		'default'     => [
			'text-align' => 'left',
		],
		'output' => [
			[
				'element' => '.post-button',
			],
		],
	]
);

// Show post date
new \Kirki\Field\Checkbox_Switch(
	[
		'settings'    => 'post_date',
		'label'       => esc_html__( 'Show post date', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => 'on',
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'woodsman' ),
			'off' => esc_html__( 'Disable', 'woodsman' ),
		],
	]
);

// Show post author
new \Kirki\Field\Checkbox_Switch(
	[
		'settings'    => 'post_author',
		'label'       => esc_html__( 'Show post author', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => 'on',
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'woodsman' ),
			'off' => esc_html__( 'Disable', 'woodsman' ),
		],
	]
);

// Show post comments
new \Kirki\Field\Checkbox_Switch(
	[
		'settings'    => 'post_comments',
		'label'       => esc_html__( 'Show post comments', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => 'on',
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'woodsman' ),
			'off' => esc_html__( 'Disable', 'woodsman' ),
		],
	]
);

// Show post categories
new \Kirki\Field\Checkbox_Switch(
	[
		'settings'    => 'post_categories',
		'label'       => esc_html__( 'Show post categories', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => 'on',
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'woodsman' ),
			'off' => esc_html__( 'Disable', 'woodsman' ),
		],
	]
);

// Show post tags
new \Kirki\Field\Checkbox_Switch(
	[
		'settings'    => 'post_tags',
		'label'       => esc_html__( 'Show post tags', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => 'on',
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'woodsman' ),
			'off' => esc_html__( 'Disable', 'woodsman' ),
		],
	]
);

// Show social icons post
new \Kirki\Field\Checkbox_Switch(
	[
		'settings'    => 'post_social_icons',
		'label'       => esc_html__( 'Show social icons post', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => 'on',
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'woodsman' ),
			'off' => esc_html__( 'Disable', 'woodsman' ),
		],
	]
);



