<?php

/* ============================ */
/* ::::::::::: Footer ::::::::: */
/* ============================ */

$section  = 'footer';
$priority = 0;

// Minimal or Widgets
new \Kirki\Field\Radio(
	[
		'settings'    => 'variants_footer',
		'label'       => esc_html__( 'Variants Footer', 'woodsman' ),
		'description' => esc_html__('After activation "Widgets" in admin panel are will be accessed.', 'woodsman'),
		'section'   => $section,
		'priority'  => $priority ++,
		'default'     => 'minimal',
		'choices'     => [
			'minimal'   => esc_html__( 'Minimal', 'woodsman' ),
			'widgets' => esc_html__( 'Widgets', 'woodsman' ),
		],
	]
);

// Column footer
new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'column_footer',
		'label'       => esc_html__( 'Columns', 'woodsman' ),
		'section'   => $section,
		'priority'  => $priority ++,
		'default'     => 'col-md-flex-12 col-md-flex-4',
		'choices'     => [
			'col-md-flex-12'   => esc_html__( '1', 'woodsman' ),
			'col-md-flex-12 col-md-flex-6'   => esc_html__( '2', 'woodsman' ),
			'col-md-flex-12 col-md-flex-4' => esc_html__( '3', 'woodsman' ),
			'col-md-flex-12 col-md-flex-3'  => esc_html__( '4', 'woodsman' ),
		],
		'active_callback' => [
			[
				'setting'  => 'variants_footer',
				'operator' => '==',
				'value'    => 'widgets',
			]
		],
	]
);

// Footer background
new \Kirki\Field\Color(
	[
		'settings'    => 'footer_bg',
		'label'       => esc_html__( 'Footer background', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'   => '#242830',
		'choices'     => [
			'alpha' => true,
		],
		'output'    => array(
			array(
				'element'  => '.footer',
				'property' => 'background-color',
			),
		),
		'active_callback' => [
			[
				'setting'  => 'variants_footer',
				'operator' => '==',
				'value'    => 'minimal',
			]
		],
	]
);


// Color social icon
new \Kirki\Field\Color(
	[
		'settings'   => 'footer_color_icons',
		'label'      => esc_html__( 'Color social icons', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'   => '#fff',
		'choices'     => [
			'alpha' => true,
		],
		'output'    => array(
			array(
				'element'  => '.footer .social-icons li a',
				'property' => 'color',
			),
		),
		'active_callback' => [
			[
				'setting'  => 'variants_footer',
				'operator' => '==',
				'value'    => 'minimal',
			]
		],
	]
);

// Color hover social icon
new \Kirki\Field\Color(
	[
		'settings'   => 'footer_color_hover_icons',
		'label'     => esc_html__( 'Color hover social icons', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'   => '#ababab',
		'choices'     => [
			'alpha' => true,
		],
		'output'    => array(
			array(
				'element'  => '.footer .social-icons li a:hover',
				'property' => 'color',
			),
		),
		'active_callback' => [
			[
				'setting'  => 'variants_footer',
				'operator' => '==',
				'value'    => 'minimal',
			]
		],
	]
);

// Color text footer
new \Kirki\Field\Color(
	[
		'settings'   => 'footer_color_text',
		'label'       => esc_html__( 'Color text footer', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'   => '#fff',
		'choices'     => [
			'alpha' => true,
		],
		'output'    => array(
			array(
				'element'  => '.footer .copyright',
				'property' => 'color',
			),
			array(
				'element'  => '.footer a',
				'property' => 'color',
			),
		),
		'active_callback' => [
			[
				'setting'  => 'variants_footer',
				'operator' => '==',
				'value'    => 'minimal',
			]
		],
	]
);

// Color hover link footer
new \Kirki\Field\Color(
	[
		'settings'   => 'footer_color_link',
		'label'       => esc_html__( 'Color hover link footer', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'   => '#ababab',
		'choices'     => [
			'alpha' => true,
		],
		'output'    => array(
			array(
				'element'  => '.footer a:hover',
				'property' => 'color',
			),
		),
		'active_callback' => [
			[
				'setting'  => 'variants_footer',
				'operator' => '==',
				'value'    => 'minimal',
			]
		],
	]
);

// Social Icons
new \Kirki\Field\Checkbox_Switch(
	[
		'settings'    => 'footer_social_icons_check',
		'label'       => esc_html__( 'On/Off Social Icons', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => 'on',
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'woodsman' ),
			'off' => esc_html__( 'Disable', 'woodsman' ),
		],
		'active_callback' => [
			[
				'setting'  => 'variants_footer',
				'operator' => '==',
				'value'    => 'minimal',
			]
		],
	]
);

new \Kirki\Field\Repeater(
	[
		'settings' => 'footer_social_icons',
		'label'    => esc_html__( 'Social icons', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'row_label'    => [
			'type'  => 'text',
			'value' => esc_html__( 'Social', 'woodsman' ),
		],
		'fields'   => [
			'social_icon'   => [
				'type'        => 'select',
				'label'       => esc_html__( 'Social Icon', 'woodsman' ),
				'choices' => woodsman_get_social_icons()
			],
			'social_url'    => [
				'type'        => 'text',
				'label'       => esc_html__( 'Link URL', 'woodsman' ),
			],
		],
		'default' => [
			[
				'social_icon'   => ( 'fa-brands fa-x-twitter' ),
				'social_url'    => '#',
			],
			[
				'social_icon'   => ( 'fa-brands fa-facebook' ),
				'social_url'    => '#',
			],
			[
				'social_icon'   => ( 'fa-brands fa-dribbble' ),
				'social_url'    => '#',
			],
			[
				'social_icon'   => ( 'fa-brands fa-youtube' ),
				'social_url'    => '#',
			],
			[
				'social_icon'   => ( 'fa-brands fa-instagram' ),
				'social_url'    => '#',
			]
		],
		'active_callback' => [
			[
				'setting'  => 'footer_social_icons_check',
				'operator' => '==',
				'value'    => true,
			],
			[
				'setting'  => 'variants_footer',
				'operator' => '==',
				'value'    => 'minimal',
			]
		],
	]
);

// Copyright
new \Kirki\Field\Code(
	[
		'settings'    => 'editor_copyright',
		'label'    => esc_html__( 'Copyright', 'woodsman' ),
		'description' => esc_html__( 'Enter your copyright', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => 'Woodsman © 2024. Design & Coded by <a href="http://themeforest.net/user/Mountain-Themes" target="_blank"> Mountain-Themes</a>.',
		'choices'     => [
			'language' => 'html',
		],
		'active_callback' => [
			[
				'setting'  => 'variants_footer',
				'operator' => '==',
				'value'    => 'minimal',
			]
		],
	]
);
