<?php


/* ============================ */
/* :::::::::::: Shop :::::::::: */
/* ============================ */

$section  = 'shop';
$priority = 0;

// Button color
new \Kirki\Field\Color(
	[
		'settings'    => 'shop_button_color',
		'label'       => esc_html__( 'Shop color', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => '#2CC9B4',
		'choices'     => [
			'alpha' => true,
		],
		'output'    => array(
			array(
				'element'  => '.woocommerce .shop_cart-button, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .woocommerce a.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce-message, .woocommerce-info, .woocommerce .load-more-shop a, .woocommerce .shop-qty button.plus, .woocommerce .shop-qty button.minus, .woocommerce .shop-qty .qty, .woocommerce nav.woocommerce-pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span',
				'property' => 'border-color',
				'suffix'   => ' !important',
			),
			array(
				'element'  => '.woocommerce nav.woocommerce-pagination ul li span.current, .woocommerce .shop_cart-button, .woocommerce span.onsale, .woocommerce .load-more-shop a, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, .widget .mini_cart_item a.remove:hover, .woocommerce .cart_item a.remove:hover, .woocommerce .shop-qty button.plus, .woocommerce .shop-qty button.minus, .woocommerce nav.woocommerce-pagination ul li a:hover',
				'property' => 'background-color',
			),
			array(
				'element'  => '.woocommerce .shop_cart-button:hover, .woocommerce .load-more-shop a:hover, .woocommerce .load-more-shop a.disabled, .woocommerce .load-more-shop a.loaded, .woocommerce .load-more-shop a.loaded .fa-spin, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce .star-rating:before, .woocommerce .star-rating span, .woocommerce p.stars a, .woocommerce .load-more-shop a.disabled, .woocommerce .woocommerce-message::before, .woocommerce-info::before, .woocommerce .shop-qty button.plus:hover, .woocommerce .shop-qty button.minus:hover',
				'property' => 'color',
				'suffix'   => ' !important',
			),
		),
	]
);

// Hide/Show Mini Cart
new \Kirki\Field\Checkbox_Switch(
	[
		'settings'    => 'cart_shop',
		'label'       => esc_html__( 'Hide/Show Cart', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => 'on',
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'woodsman' ),
			'off' => esc_html__( 'Disable', 'woodsman' ),
		],
	]
);

// Color cart 
new \Kirki\Field\Color(
	[
		'settings'    => 'color_cart',
		'label'       => esc_html__( 'Color icon cart', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => '#000',
		'choices'     => [
			'alpha' => true,
		],
		'output'    => array(
			array(
				'element'  => 'header .icon-cart i',
				'property' => 'color',
			),
			array(
				'element'  => 'header .icon-cart span',
				'property' => 'background',
			),
			array(
				'element'  => 'header .cart-container .cart-widget',
				'property' => 'background',
				'suffix'   => '!important',
			),
		),
		'active_callback' => [
			[
				'setting'  => 'cart_shop',
				'operator' => '==',
				'value'    => true,
			]
		],
	]
);

// Color cart 
new \Kirki\Field\Color(
	[
		'settings'    => 'color_count_cart',
		'label'       => esc_html__( 'Color count cart', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => '#fff',
		'choices'     => [
			'alpha' => true,
		],
		'output'    => array(
			array(
				'element'  => 'header .icon-cart span',
				'property' => 'color',
			),
		),
		'active_callback' => [
			[
				'setting'  => 'cart_shop',
				'operator' => '==',
				'value'    => true,
			]
		],
	]
);

// Color cart coming soon 
new \Kirki\Field\Color(
	[
		'settings'    => 'color_cart_coming_soon',
		'label'       => esc_html__( 'Color icon cart coming soon', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => '#fff',
		'choices'     => [
			'alpha' => true,
		],
		'output'    => array(
			array(
				'element'  => 'header.custom-header .icon-cart i',
				'property' => 'color',
			),
		),
		'active_callback' => [
			[
				'setting'  => 'cart_shop',
				'operator' => '==',
				'value'    => true,
			]
		],
	]
);

// Color text count cart coming soon 
new \Kirki\Field\Color(
	[
		'settings'    => 'color_text_count_cart_coming_soon',
		'label'       => esc_html__( 'Color text count cart coming soon', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => '#000',
		'choices'     => [
			'alpha' => true,
		],
		'output'    => array(
			array(
				'element'  => 'header.custom-header .icon-cart span',
				'property' => 'color',
			),
		),
		'active_callback' => [
			[
				'setting'  => 'cart_shop',
				'operator' => '==',
				'value'    => true,
			]
		],
	]
);

// Color background count cart coming soon 
new \Kirki\Field\Color(
	[
		'settings'    => 'color_bg_count_cart_coming_soon',
		'label'       => esc_html__( 'Color background count cart coming soon', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => '#fff',
		'choices'     => [
			'alpha' => true,
		],
		'output'    => array(
			array(
				'element'  => 'header.custom-header .icon-cart span',
				'property' => 'background',
			),
		),
		'active_callback' => [
			[
				'setting'  => 'cart_shop',
				'operator' => '==',
				'value'    => true,
			]
		],
	]
);

// Hide/Show Parallax
new \Kirki\Field\Checkbox_Switch(
	[
		'settings'    => 'parallax_shop',
		'label'       => esc_html__( 'Hide/Show Parallax', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => 'on',
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'woodsman' ),
			'off' => esc_html__( 'Disable', 'woodsman' ),
		],
	]
);

// Parallax
new \Kirki\Field\Image(
	[
		'settings'    => 'parallax_image_shop',
		'label'       => esc_html__( 'Parallax Image Shop', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => '',
		'active_callback' => [
			[
				'setting'  => 'parallax_shop',
				'operator' => '==',
				'value'    => true,
			]
		],
	
	]
);

// Title
new \Kirki\Field\Text(
	[
		'settings' => 'parallax_title',
		'label'    => esc_html__( 'Title parallax', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'  => esc_html__( 'Woodsman Shop', 'woodsman' ),
		'active_callback' => [
			[
				'setting'  => 'parallax_shop',
				'operator' => '==',
				'value'    => true,
			]
		],
	]
);

// Effect Text
new \Kirki\Field\Select(
	[
		'settings'    => 'parallax_effect_text',
		'label'       => esc_html__( 'Effect Text', 'woodsman' ),
		'section'     => $section,
		'priority'    => $priority++,
		'default'     => 'none',
		'multiple'    => 1,
		'choices'     => [
		'none' => esc_html__( 'None', 'woodsman' ),
		'wow bounce' => esc_html__( 'Bounce', 'woodsman' ),
		'wow flash' => esc_html__( 'Flash', 'woodsman' ),
		'wow pulse' => esc_html__( 'Pulse', 'woodsman' ),
		'wow rubberBand' => esc_html__( 'RubberBand', 'woodsman' ),
		'wow shake' => esc_html__( 'Shake', 'woodsman' ),
		'wow swing' => esc_html__( 'Swing', 'woodsman' ),
		'wow tada' => esc_html__( 'Tada', 'woodsman' ),
		'wow wobble' => esc_html__( 'Wobble', 'woodsman' ),
		'wow jello' => esc_html__( 'Jello', 'woodsman' ),
		'wow bounceIn' => esc_html__( 'BounceIn', 'woodsman' ),
		'wow bounceInDown' => esc_html__( 'BounceInDown', 'woodsman' ),
		'wow bounceInLeft' => esc_html__( 'BounceInLeft', 'woodsman' ),
		'wow bounceInRight' => esc_html__( 'BounceInRight', 'woodsman' ),
		'wow bounceInUp' => esc_html__( 'BounceInUp', 'woodsman' ),
		'wow fadeIn' => esc_html__( 'FadeIn', 'woodsman' ),
		'wow fadeInDown' => esc_html__( 'FadeInDown', 'woodsman' ),
		'wow fadeInDownBig' => esc_html__( 'FadeInDownBig', 'woodsman' ),
		'wow fadeInLeft' => esc_html__( 'FadeInLeft', 'woodsman' ),
		'wow fadeInLeftBig' => esc_html__( 'FadeInLeftBig', 'woodsman' ),
		'wow fadeInRight' => esc_html__( 'FadeInRight', 'woodsman' ),
		'wow fadeInRightBig' => esc_html__( 'FadeInRightBig', 'woodsman' ),
		'wow fadeInUp' => esc_html__( 'FadeInUp', 'woodsman' ),
		'wow fadeInUpBig' => esc_html__( 'FadeInUpBig', 'woodsman' ),
		'wow flip' => esc_html__( 'Flip', 'woodsman' ),
		'wow flipInX' => esc_html__( 'FlipInX', 'woodsman' ),
		'wow flipInY' => esc_html__( 'FlipInY', 'woodsman' ),
		'wow lightSpeedIn' => esc_html__( 'LightSpeedIn', 'woodsman' ),
		'wow rotateIn' => esc_html__( 'RotateIn', 'woodsman' ),
		'wow rotateInDownLeft' => esc_html__( 'RotateInDownLeft', 'woodsman' ),
		'wow rotateInDownRight' => esc_html__( 'RotateInDownRight', 'woodsman' ),
		'wow rotateInUpLeft' => esc_html__( 'RotateInUpLeft', 'woodsman' ),
		'wow rotateInUpRight' => esc_html__( 'RotateInUpRight', 'woodsman' ),
		'wow slideInUp' => esc_html__( 'SlideInUp', 'woodsman' ),
		'wow slideInDown' => esc_html__( 'SlideInDown', 'woodsman' ),
		'wow slideInLeft' => esc_html__( 'SlideInLeft', 'woodsman' ),
		'wow slideInRight' => esc_html__( 'SlideInRight', 'woodsman' ),
		'wow zoomIn' => esc_html__( 'ZoomIn', 'woodsman' ),
		'wow zoomInDown' => esc_html__( 'ZoomInDown', 'woodsman' ),
		'wow zoomInLeft' => esc_html__( 'ZoomInLeft', 'woodsman' ),
		'wow zoomInRight' => esc_html__( 'ZoomInRight', 'woodsman' ),
		'wow zoomInUp' => esc_html__( 'ZoomInUp', 'woodsman' ),
		'wow hinge' => esc_html__( 'Hinge', 'woodsman' ),
		'wow rollIn' => esc_html__( 'RollIn', 'woodsman' ),
		],
		'active_callback' => [
			[
				'setting'  => 'parallax_shop',
				'operator' => '==',
				'value'    => true,
			]
		],
	]
);

// Sidebar Shop
new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'sidebar_shop',
		'label'       => esc_html__( 'Sidebar Shop', 'woodsman' ),
		'section'   => $section,
		'priority'  => $priority ++,
		'default'     => 'right',
		'choices'     => [
			'left'   => esc_html__( 'Left', 'woodsman' ),
			'hide' => esc_html__( 'Hide', 'woodsman' ),
			'right'  => esc_html__( 'Right', 'woodsman' ),
		],
	]
);

// Number of products displayed per page
new \Kirki\Field\Number(
	[
		'settings'    => 'number_products_shop',
		'label'       => esc_html__( 'Number of products displayed per page', 'woodsman' ),
		'section'   => $section,
		'priority'  => $priority ++,
		'default'  => 15,
		'choices'  => [
			'min'  => 0,
			'step' => 1,
		],
	]
);

// Pagination
new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'pagination_shop',
		'label'       => esc_html__( 'Pagination', 'woodsman' ),
		'section'   => $section,
		'priority'  => $priority ++,
		'default'     => 'classic',
		'choices'     => [
			'classic'   => esc_html__( 'Classic', 'woodsman' ),
			'ajax' => esc_html__( 'Ajax', 'woodsman' ),
			'hide'  => esc_html__( 'Hide', 'woodsman' ),
		],
	]
);

