<?php
/**
 * woodsman Plugins Activation
 *
 * @package woodsman
 */

require get_template_directory() . '/lib/tgm/class-tgm-plugin-activation.php';


function woodsman_register_required_plugins() {

	 $plugins = array(

		array(
			'name'      		 => esc_html__( 'Elementor', 'woodsman' ),
			'slug'      		 => 'elementor',
			'force_activation'	 => false,
			'required'  		 => true,
		),

		array(
			'name'               => esc_html__( 'Woodsman Helper Plugin', 'woodsman' ), 
			'slug'               => 'woodsman_helper_plugin', 
			'source'             => esc_url( 'https://wordpress.mountainthemes.dev/plugins/helper/woodsman_helper_plugin.zip' ), 
			'force_activation'	 => false,
			'required'           => true, 
		),	

		
		array(
			'name' 				 => esc_html__( 'WooCommerce', 'woodsman' ),
			'slug' 				 => 'woocommerce',
			'required'			 => false,
		),

		array(
			'name'               => esc_html__( 'Advanced Custom Fields PRO', 'woodsman' ), 
			'slug'               => 'acf_pro', 
			'source'             => esc_url( 'https://wordpress.mountainthemes.dev/plugins/advanced-custom-fields-pro.zip' ),
			'force_activation'	 => false,
			'required'           => true, 
		),

		array(
			'name'               => esc_html__( 'Contact Form 7', 'woodsman' ),
			'slug'               => 'contact-form-7', 
			'force_activation'	 => false,
			'required'           => true, 
		),

		array(
			'name'               => esc_html__( 'MailChimp for WordPress', 'woodsman' ),
			'slug'               => 'mailchimp-for-wp', 
			'force_activate'	 => false,
			'force_deactivation' => false,
			'required'           => true, 
			'version'            => '', 
			'external_url'		 => ''
		),

		array(
			'name'               => esc_html__( 'Classic Widgets', 'woodsman' ),
			'slug'               => 'classic-widgets', 
			'force_activate'	 => false,
			'force_deactivation' => false,
			'required'           => true, 
			'version'            => '', 
			'external_url'		 => ''
		),

		array(
			'name'               => esc_html__( 'Envato Market', 'woodsman' ),
			'slug'               => 'envato-market',
			'source'             => esc_url( 'https://wordpress.mountainthemes.dev/plugins/envato-market.zip' ),  
			'force_activation'	 => false,
			'required'           => false, 
		),

		array(
			'name' 				 => esc_html__( 'One Click Demo Import', 'woodsman' ),
			'slug' 				 => 'one-click-demo-import',
			'required' 			 => false,
		),

		array(
			'name'               => esc_html__( 'Kirki', 'woodsman' ), 
			'slug'               => 'kirki', 
			'required'           => true, 
		),

	);

    tgmpa( $plugins );
}


add_action( 'tgmpa_register', 'woodsman_register_required_plugins' );

 
 /**
 * Print notice if helper plugin is not installed
 */
if ( ! function_exists( 'woodsman_helper_plugin_notice' ) ) {
	function woodsman_helper_plugin_notice() {
		if ( class_exists( 'WoodsmanHelperPlugin' ) ) {
			return;
		}
		echo '<div class="notice notice-info is-dismissible"><p>' . sprintf( __( 'Please activate <strong>%s</strong> before your work with this theme.', 'woodsman' ), 'Woodsman Helper Plugin' ) . '</p></div>';
	}
}
add_action( 'admin_notices', 'woodsman_helper_plugin_notice' );
