<?php

/* ============================ */
/* ::::: Audio Post Format :::: */
/* ============================ */

if ( class_exists('acf') ) :

  $thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );

  // vars ( ACF )
  $audio_host_type = get_field('audio_host_type');
  $audio_embed_code = get_field('audio_embed_code');
  $self_hosted = get_field('audio_self_hosted');
  $self_hosted_title = get_field('audio_self_hosted_title');

  // blog settings
  $grids = $args['grids'] ?? null;
  $animation = $args['animation'] ?? null;

  $classes = array(
    $grids,
    $animation,
    'post'
  );

  ?>

  <article id="post-<?php the_ID(); ?>" <?php post_class($classes); ?>>
  	
  	<div class="entry-header">

         <?php if ($audio_host_type == 'embed-code') : ?>

          	  <div class="post-intro type-audio">
        	  		   <?php 

                 echo wp_kses( $audio_embed_code,

                 array('iframe' => array(
                  'width' => array(),
                  'height' => array(),
                  'src' => array(),
                  'frameborder' => array(),
                  'allowfullscreen' => array(),
                 ),
                 ) ); 

                 ?>
          		</div>

    		 <?php endif; ?>

        <?php if ($audio_host_type == 'self-hosted') : ?>

           <?php if ($thumbnail_src) : ?>

              <div class="post-intro type-audio image-audio" style="background-image: url('<?php echo esc_url($thumbnail_src[0]); ?>');">

                  <h2><?php echo esc_html($self_hosted_title); ?></h2>
                  <?php echo do_shortcode( '[audio src="'. esc_url($self_hosted) .'"][/audio]' ); ?>
            
              </div>

              <?php else : ?>

              <div class="post-intro type-audio">

                  <?php echo do_shortcode( '[audio src="'. esc_url($self_hosted) .'"][/audio]' ); ?>
            
              </div>

            <?php endif; ?>

         <?php endif; ?>

        <h3 class="entry-title">

          <?php if ( is_sticky() ) : ?>

            <i class="fa fa-paperclip"></i>

          <?php endif; ?>

          <?php the_title( sprintf( '<a href="%s" rel="bookmark">', get_permalink() ), '</a>' ); ?>

        </h3>
    		
    		<div class="post-details">
                <?php if ( true == get_theme_mod( 'post_date', true ) ) : ?>
                <div class="post-date">
                <i class="fa-solid fa-calendar-days"></i><a href="<?php the_permalink(); ?>"><time datetime="<?php the_time( 'F j, Y' ); ?>"><?php echo get_the_date(); ?></time></a>
                </div>
                <?php endif; ?>

                <?php if ( true == get_theme_mod( 'post_author', true ) ) : ?>
                <div class="post-author">
                    <i class="fa-solid fa-user"></i><?php esc_html_e( 'by', 'woodsman' ); ?> <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ), get_the_author_meta( 'user_nicename' ) ); ?>"><?php echo get_the_author(); ?></a>
                </div>
                <?php endif; ?>

                <?php if ( true == get_theme_mod( 'post_comments', true ) ) : ?>
                <div class="post-comment">
                  <i class="fa-regular fa-comment"></i><a href="<?php comments_link(); ?>"><?php comments_number( esc_html__( '0 Comments', 'woodsman'), esc_html__( '1 Comment', 'woodsman' ), esc_html__( '% Comments', 'woodsman' ) ); ?></a>
                </div> 
                <?php endif; ?>
        </div>

        <div class="post-info">
          
          <?php is_singular('post') ? the_content() : the_excerpt() ?>

           <?php
                    wp_link_pages( array(
                        'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'woodsman' ),
                        'after'  => '</div>',
                        'link_before' => '<span>',
                        'link_after'  => '</span>',
                    ) );
           ?>

          <?php if (is_singular('post')) : ?>

             <div class="footer-single">

              <?php if ( true == get_theme_mod( 'post_categories', true ) ) : ?>

                    <div class="post-categories single"> 
                        <?php esc_html_e( 'Categories: ', 'woodsman' ); ?><span class="cat-links"><?php echo get_the_category_list( esc_html__( ', ', 'woodsman' ) ) ?></span>
                    </div>

              <?php endif; ?>

              <?php if ( true == get_theme_mod( 'post_tags', true ) ) : ?>

                      <?php if(has_tag()) : ?>

                        <div class="post-tags">
                            <?php the_tags(esc_html__( 'Tags: ', 'woodsman'), ', ', ' '); ?>
                        </div>

                      <?php endif; ?>

              <?php endif; ?>

              <?php if ( true == get_theme_mod( 'post_social_icons', true ) ) : ?>

                <?php if ( function_exists( 'woodsman_get_post_share_buttons' ) ) : ?>

                  <?php echo woodsman_get_post_share_buttons( get_the_ID() ); ?>

                <?php endif; ?>

              <?php endif; ?>

            </div>

          <?php endif; ?>
    		</div>
  		
  	  </div>
  	
  </article>


<?php endif; ?>

